
// Include hardware info for this device	
#include <avr/io.h>

		
#if defined (__AVR_ATmega32__)
// There is only one Timer0 compare channel
#  define TIMER0_COMPA_vect TIMER0_COMP_vect
// There is only one Timer2 compare channel
#  define TIMER2_COMPA_vect TIMER2_COMP_vect
// Map the UART vectors
#  define USART0_RX_vect USART_RXC_vect
#  define USART0_TX_vect USART_TXC_vect
#else
#  error "Processor mismatch in utilities.xsl"
#endif
			
#include "lib_timerdef.h"
#include <timer.h>
#include <errors.h>
// Variable used by main library to link in this module
const uint8_t PROGMEM _timer_compare_error = TIMER_COMPARE_CALLBACK_EXISTS;
// The dummy routine used to denote that the compare is in use
// Only ever called from here but not static to avoid unused warnings
void nullTimerCompareCallback(const TimerCompare *timer_compare, void* data){}

// TIMER0_COMPAREA is in use
static void __attribute__ ((constructor)) init_TIMER0_COMPAREA(void){
	TimerDataCompare* data = compareGetData(TIMER0_COMPAREA);
	data->compare_callback = &nullTimerCompareCallback;
}

// Interrupt handler for  TIMER1_COMPAREA compare interrupt
ISR(TIMER1_COMPA_vect){
	__timer_compareService(TIMER1_COMPAREA);
}
// Interrupt handler for  TIMER1_COMPAREB compare interrupt
ISR(TIMER1_COMPB_vect){
	__timer_compareService(TIMER1_COMPAREB);
}
// TIMER2_COMPAREA is in use
static void __attribute__ ((constructor)) init_TIMER2_COMPAREA(void){
	TimerDataCompare* data = compareGetData(TIMER2_COMPAREA);
	data->compare_callback = &nullTimerCompareCallback;
}

